import { Message, ParseStringOptions } from './types';
/**
 * Parses a string containing a WhatsApp chat log.
 *
 * Returns a promise that will contain the parsed messages.
 *
 * @since 1.2.0
 */
export declare function parseString(string: string, options?: ParseStringOptions): Promise<Message[]>;
/**
 * Parses a string containing a WhatsApp chat log.
 *
 * Returns an array of parsed messages.
 *
 * @since 3.2.0
 */
export declare function parseStringSync(string: string, options?: ParseStringOptions): Message[];
