/**
 * Checks that the number at a certain index of an array is greater than a
 * certain value.
 */
declare function indexAboveValue(index: number, value: number): (array: number[]) => boolean;
/**
 * Returns `true` for a negative number, `false` otherwise.
 *
 * `0` and `-0` are considered positive.
 */
declare function isNegative(number: number): boolean;
/**
 * Takes an array of arrays and an index and groups the inner arrays by the
 * value at the index provided.
 * @see `utils.test.ts` for a better understanding of this function.
 */
declare function groupArrayByValueAtIndex<T extends unknown[]>(array: T[], index: number): T[][];
export { indexAboveValue, isNegative, groupArrayByValueAtIndex };
